classification
Title: pdb's recursive debug command is not listed in the docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: cheryl.sabella, docs@python, miss-islington, remi.lapeyre
Priority: normal Keywords: easy, patch

Created on 2019-03-13 01:41 by Antony.Lee, last changed 2019-11-21 01:56 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12872 merged dvnguyen, 2019-04-18 03:58
PR 17308 merged miss-islington, 2019-11-21 01:49
PR 17309 merged miss-islington, 2019-11-21 01:49
Messages (7)
msg337828 - (view) Author: Antony Lee (Antony.Lee) * Date: 2019-03-13 01:41
pdb's recursive debug command (mentioned e.g. in https://bugs.python.org/issue35931) is not listed in https://docs.python.org/3/library/pdb.html#debugger-commands.
(I haven't checked whether any other command is missing.)
msg337851 - (view) Author: RĂ©mi Lapeyre (remi.lapeyre) * Date: 2019-03-13 14:19
As far as I can tell, the list of pdb commands is:
  - commands
  - break
  - tbreak
  - enable
  - disable
  - condition
  - ignore
  - clear
  - where
  - up
  - down
  - until
  - step
  - next
  - run
  - return
  - continue
  - jump
  - debug
  - quit
  - args
  - retval
  - p
  - pp
  - list
  - longlist
  - source
  - whatis
  - display
  - undisplay
  - interact
  - alias
  - unalias
  - help

Those not in the documentation are debug and retval.

Can you open a new pull request to document them?
msg337855 - (view) Author: Antony Lee (Antony.Lee) * Date: 2019-03-13 15:50
I'll pass on that for now.
msg357119 - (view) Author: miss-islington (miss-islington) Date: 2019-11-21 01:49
New changeset 9391f6c3ef24f7962c534c42ccb792debdbef509 by Miss Islington (bot) (Dave Nguyen) in branch 'master':
bpo-36277: Add document for pdb debug and retval commands (GH-12872)
https://github.com/python/cpython/commit/9391f6c3ef24f7962c534c42ccb792debdbef509
msg357120 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-11-21 01:52
@Antony.Lee, thank you for the report, @remi.lapeyre, thank you for the research, and @dvnguyen, thank you for the PR.
msg357121 - (view) Author: miss-islington (miss-islington) Date: 2019-11-21 01:56
New changeset d5d41d39366214c9628b2680fa18fb8d085bcdbc by Miss Islington (bot) in branch '3.8':
bpo-36277: Add document for pdb debug and retval commands (GH-12872)
https://github.com/python/cpython/commit/d5d41d39366214c9628b2680fa18fb8d085bcdbc
msg357122 - (view) Author: miss-islington (miss-islington) Date: 2019-11-21 01:56
New changeset 97c301bfc5ea278c32dc5fabe425d8981ec5d3b1 by Miss Islington (bot) in branch '3.7':
bpo-36277: Add document for pdb debug and retval commands (GH-12872)
https://github.com/python/cpython/commit/97c301bfc5ea278c32dc5fabe425d8981ec5d3b1
History
Date User Action Args
2019-11-21 01:56:47miss-islingtonsetmessages: + msg357122
2019-11-21 01:56:30miss-islingtonsetmessages: + msg357121
2019-11-21 01:52:41cheryl.sabellasetstatus: open -> closed

nosy: + cheryl.sabella
messages: + msg357120

resolution: fixed
stage: patch review -> resolved
2019-11-21 01:49:37miss-islingtonsetpull_requests: + pull_request16798
2019-11-21 01:49:28miss-islingtonsetpull_requests: + pull_request16797
2019-11-21 01:49:19miss-islingtonsetnosy: + miss-islington
messages: + msg357119
2019-04-18 09:20:09Antony.Leesetnosy: - Antony.Lee
2019-04-18 03:58:46dvnguyensetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request12796
2019-04-17 22:22:57cheryl.sabellasetkeywords: + easy
type: enhancement
stage: needs patch
2019-03-13 15:50:04Antony.Leesetmessages: + msg337855
2019-03-13 14:19:12remi.lapeyresetnosy: + remi.lapeyre

messages: + msg337851
versions: + Python 3.8
2019-03-13 01:41:37Antony.Leecreate